﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=8.5
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
#End Region

Sub Process_Globals
	Private nid As Int = 1
	Private lock As PhoneWakeState
	Private pl As SimpleExoPlayer
End Sub

Sub Service_Create
	lock.PartialLock
	pl.Initialize("pl")
End Sub


Sub Service_Start (StartingIntent As Intent)
	Service.StopAutomaticForeground
End Sub

Public Sub Play
	Service.StartForeground(nid, CreateNotification("Playing music - Radio Paradise"))
	pl.Prepare(pl.CreateUriSource("http://stream.radioparadise.com/aac-128"))
	pl.Play
End Sub

Sub pl_Error (Message As String)
	Log(Message)
End Sub

Sub pl_Complete
	Log("complete")
End Sub

Public Sub Stop
	Service.StopForeground(nid)
	pl.Pause
End Sub


Sub CreateNotification (Body As String) As Notification
	Dim notification As Notification
	notification.Initialize2(notification.IMPORTANCE_LOW)
	notification.Icon = "icon"
	notification.SetInfo("Tracking location", Body, Main)
	Return notification
End Sub

Sub Service_Destroy
	pl.Pause
	lock.ReleasePartialLock
End Sub
